com.dlsc.flexgantt.policy.layer

## Class DefaultSpreadsheetEditPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.layer.DefaultSpreadsheetEditPolicy

- All Implemented Interfaces:
    IPolicy, ISpreadsheetEditPolicy

      public class DefaultSpreadsheetEditPolicy
      extends AbstractPolicy
      implements ISpreadsheetEditPolicy

  The default implmementation of the edit policy for spreadsheets. For a general description of this policy please refer to the policy interface `ISpreadsheetEditPolicy`.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpreadsheetEditPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICommand` | `getChangeSpreadsheetValueCommand(IGanttChartModel<?,?> model, Object node, ISpreadsheet spreadsheet, ITimeSpan span, Object value)` Returns a command object that can be used to change the value of a spreadsheet cell.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSpreadsheetEditPolicy

          public DefaultSpreadsheetEditPolicy()

  - ### Method Detail

    - #### getChangeSpreadsheetValueCommand

          public ICommand getChangeSpreadsheetValueCommand(IGanttChartModel<?,?> model,
                                                           Object node,
                                                           ISpreadsheet spreadsheet,
                                                           ITimeSpan span,
                                                           Object value)

      Description copied from interface: `ISpreadsheetEditPolicy`
      Returns a command object that can be used to change the value of a spreadsheet cell.
      Specified by:
        `getChangeSpreadsheetValueCommand` in interface `ISpreadsheetEditPolicy`
      Parameters:
        `model` - the Gantt chart model of which the spreadsheet is a member
        `node` - the target tree / Gantt chart node
        `spreadsheet` - the spreadsheet where the value change takes place
        `span` - the time span for which the value changed
        `value` - the new value for the given time span and tree node
      Returns:
        a command object that will modify the model and change the spreadsheet value

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.